{
    "name": "takerofnotes-app",
    "version": "0.1.0",
    "description": "An Electron application with Vue",
    "main": "./out/main/index.js",
    "author": "example.com",
    "homepage": "https://electron-vite.org",
    "type": "module",
    "prettier": {
        "tabWidth": 4,
        "semi": false,
        "singleQuote": true
    },
    "scripts": {
        "format": "prettier --write .",
        "start": "electron-vite preview",
        "dev": "electron-vite dev",
        "dev:web": "vite",
        "build": "electron-vite build",
        "build:web": "vite build",
        "postinstall": "electron-builder install-app-deps",
        "build:unpack": "npm run build && electron-builder --dir",
        "build:win": "npm run build && electron-builder --win",
        "build:mac": "npm run build && electron-builder --mac",
        "build:linux": "npm run build && electron-builder --linux"
    },
    "dependencies": {
        "@electron-toolkit/preload": "^3.0.2",
        "@electron-toolkit/utils": "^4.0.0",
        "@fuzzco/font-loader": "^1.0.2",
        "@takerofnotes/plugin-filesystem": "^0.2.0",
        "@takerofnotes/plugin-supabase": "^0.1.0",
        "@tiptap/extension-code-block-lowlight": "^3.20.0",
        "@tiptap/extension-document": "^3.19.0",
        "@tiptap/extension-highlight": "^3.20.0",
        "@tiptap/extension-list": "^3.20.0",
        "@tiptap/starter-kit": "^3.19.0",
        "@tiptap/vue-3": "^3.19.0",
        "@vueuse/core": "^14.2.1",
        "dotenv": "^17.3.1",
        "electron-updater": "^6.3.9",
        "fecha": "^4.2.3",
        "flexsearch": "^0.8.212",
        "gsap": "^3.14.2",
        "libsodium-wrappers": "^0.8.2",
        "lodash": "^4.17.23",
        "lowlight": "^3.3.0",
        "sass": "^1.97.3",
        "sass-embedded": "^1.97.3",
        "tempus": "^1.0.0-dev.17",
        "uuid": "^13.0.0",
        "vue-router": "^5.0.3"
    },
    "devDependencies": {
        "@vitejs/plugin-vue": "^6.0.2",
        "electron": "^39.2.6",
        "electron-builder": "^26.0.12",
        "electron-vite": "^5.0.0",
        "prettier": "^3.7.4",
        "unplugin-vue-components": "^31.0.0",
        "vite": "^7.2.6",
        "vue": "^3.5.25"
    }
}
